Bug 28747 - Clarify wording on RestrictionBlockRenewing syspref
Summary: Clarify wording on RestrictionBlockRenewing syspref
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-23 11:54 UTC by Andrew Fuerste-Henry
Modified: 2021-08-16 18:55 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
This clarifies the wording for the RestrictionBlockRenewing system preference to make it clear that when set to Allow, it only allows renewal using the staff interface.
Version(s) released in:
21.11.00,21.05.03,20.11.09


Attachments
Bug 28747: Clarify working on RestrictionBlockRenewal (1.26 KB, patch)
2021-07-23 11:59 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28747: Clarify working on RestrictionBlockRenewal (1.31 KB, patch)
2021-07-24 19:55 UTC, David Nind
Details | Diff | Splinter Review
Bug 28747: Clarify working on RestrictionBlockRenewal (1.37 KB, patch)
2021-07-25 00:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-07-23 11:54:21 UTC
When RestrictionBlockRenewing is set to Allow, it only allows renewal via the intranet. The wording on the syspref does not make this clear.

It says:
If a patron is restricted, (allow/block) renewing of items.

We should amend it to:
If a patron is restricted, (allow/block) renewing of items from the staff interface.
Comment 1 Andrew Fuerste-Henry 2021-07-23 11:59:20 UTC
Created attachment 123100 [details] [review]
Bug 28747: Clarify working on RestrictionBlockRenewal

To test, apply patch, restart services and reload page, confirm that now the syspref says "from the staff interface."
Comment 2 David Nind 2021-07-24 19:55:32 UTC
Created attachment 123157 [details] [review]
Bug 28747: Clarify working on RestrictionBlockRenewal

To test, apply patch, restart services and reload page, confirm that now the syspref says "from the staff interface."

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-07-25 00:23:14 UTC
The check is located in CanBookBeRenewed, but in OPAC there seems to be an additional check on restrictions that prevent the patron from renewing before this method can even be called.
Comment 4 Katrin Fischer 2021-07-25 00:24:13 UTC
Created attachment 123173 [details] [review]
Bug 28747: Clarify working on RestrictionBlockRenewal

To test, apply patch, restart services and reload page, confirm that now the syspref says "from the staff interface."

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-07-26 09:24:42 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-07-30 13:28:12 UTC
Pushed to 21.05.x for 21.05.03
Comment 7 Fridolin Somers 2021-08-03 01:35:59 UTC
Pushed to 20.11.x for 20.11.09
Comment 8 Victor Grousset/tuxayo 2021-08-16 18:50:35 UTC
Missing dependencies for 20.05.x, it shouldn't be affected, no backport.
Comment 9 Victor Grousset/tuxayo 2021-08-16 18:55:19 UTC
errata: no issue related to dependencies, anyway:
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.